[arch-commits] Commit in hexcurse/trunk (PKGBUILD hexcurse-alloca.patch)

Eric Belanger eric at archlinux.org
Tue Aug 19 01:02:59 EDT 2008


    Date: Tuesday, August 19, 2008 @ 01:02:59
  Author: eric
Revision: 9816

upgpkg: hexcurse 1.55-2
    ncurses 5.6-7 rebuild, added arch tag, added license, disabled SMP build, FHS man pages, updated url and source url

Added:
  hexcurse/trunk/hexcurse-alloca.patch
Modified:
  hexcurse/trunk/PKGBUILD

-----------------------+
 PKGBUILD              |   18 +++++++++++-------
 hexcurse-alloca.patch |   13 +++++++++++++
 2 files changed, 24 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-19 04:41:53 UTC (rev 9815)
+++ PKGBUILD	2008-08-19 05:02:59 UTC (rev 9816)
@@ -3,16 +3,20 @@
 
 pkgname=hexcurse
 pkgver=1.55
-pkgrel=1
+pkgrel=2
 pkgdesc="Versatile ncurses-based hex editor."
-url="http://jewfish.net/description.php?title=HexCurse"
-depends=('ncurses')
-source=(http://jewfish.net/downloads/$pkgname-$pkgver.tar.gz)
-md5sums=('c9f9485490300b5111aa429eabfef789')
+arch=('i686' 'x86_64')
+url="http://directory.fsf.org/project/HexCurse/"
+license=('GPL')
+depends=('ncurses>=5.6-7')
+options=('!makeflags')
+source=(http://gd.tuwien.ac.at/opsys/linux/gentoo/distfiles/$pkgname-$pkgver.tar.gz hexcurse-alloca.patch)
+md5sums=('c9f9485490300b5111aa429eabfef789' 'fb7723bff0411392fe410839f6105e4f')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  patch -p0 < ../hexcurse-alloca.patch || return 1
+  ./configure --prefix=/usr --mandir=/usr/share/man
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$startdir/pkg install
 }

Added: hexcurse-alloca.patch
===================================================================
--- hexcurse-alloca.patch	                        (rev 0)
+++ hexcurse-alloca.patch	2008-08-19 05:02:59 UTC (rev 9816)
@@ -0,0 +1,13 @@
+--- src/getopt.c	2002-03-21 17:55:54.000000000 +0100
++++ /root/getopt.c	2004-08-09 12:52:39.592951560 +0200
+@@ -36,8 +36,8 @@
+  * enables hexcurse to be compiled with SGI's proprietary compiler        */
+ #ifdef _SGIAPI
+ #include <alloca.h>
+-#else
+-char *alloca ();
++//#else
++//char *alloca ();
+ #endif
+ #define __alloca      alloca
+ /* end of modification */




More information about the arch-commits mailing list